API Reference
Branches
5 endpoints· Auth: JWT or API Key
get
/api/v1/console/branches JWT API KeyGet branches
Query parameters
| Type string | — |
| IncludeDeleted boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/branches" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/branches JWT API KeyCreate branches
Request body
application/json
{
"name": "string",
"baseCurrencyCode": "string",
"type": "string",
"organizationId": "00000000-0000-0000-0000-000000000000",
"regionId": "00000000-0000-0000-0000-000000000000",
"legalEntityId": "00000000-0000-0000-0000-000000000000"
}| name string | — |
| baseCurrencyCode string | — |
| type string | — |
| organizationId string (uuid) | — |
| regionId string (uuid) | — |
| legalEntityId string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/branches" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"baseCurrencyCode": "string",
"type": "string",
"organizationId": "00000000-0000-0000-0000-000000000000",
"regionId": "00000000-0000-0000-0000-000000000000",
"legalEntityId": "00000000-0000-0000-0000-000000000000"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/branches/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/branches/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/console/branches/{id} JWT API KeyUpdate id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"name": "string",
"type": "string",
"regionId": "00000000-0000-0000-0000-000000000000",
"legalEntityId": "00000000-0000-0000-0000-000000000000"
}| name string | — |
| type string | — |
| regionId string (uuid) | — |
| legalEntityId string (uuid) | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/branches/{id}" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"type": "string",
"regionId": "00000000-0000-0000-0000-000000000000",
"legalEntityId": "00000000-0000-0000-0000-000000000000"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/console/branches/{id} JWT API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/branches/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu